// Code generated by protoc-gen-gogo. DO NOT EDIT.
// source: wlq/game.proto

package types

import (
	fmt "fmt"
	proto "github.com/gogo/protobuf/proto"
	io "io"
	math "math"
	math_bits "math/bits"
)

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.GoGoProtoPackageIsVersion3 // please upgrade the proto package

type Game struct {
	Id       uint64   `protobuf:"varint,1,opt,name=id,proto3" json:"id,omitempty"`
	Tier     uint64   `protobuf:"varint,2,opt,name=tier,proto3" json:"tier,omitempty"`
	SizeId   uint64   `protobuf:"varint,3,opt,name=sizeId,proto3" json:"sizeId,omitempty"`
	Players  []string `protobuf:"bytes,4,rep,name=players,proto3" json:"players,omitempty"`
	Player   uint64   `protobuf:"varint,5,opt,name=player,proto3" json:"player,omitempty"`
	History  string   `protobuf:"bytes,6,opt,name=history,proto3" json:"history,omitempty"`
	Deadline string   `protobuf:"bytes,7,opt,name=deadline,proto3" json:"deadline,omitempty"`
	Timeouts []uint64 `protobuf:"varint,8,rep,packed,name=timeouts,proto3" json:"timeouts,omitempty"`
	Passes   uint64   `protobuf:"varint,9,opt,name=passes,proto3" json:"passes,omitempty"`
	Next     uint64   `protobuf:"varint,10,opt,name=next,proto3" json:"next,omitempty"`
	Prev     uint64   `protobuf:"varint,11,opt,name=prev,proto3" json:"prev,omitempty"`
	Started  string   `protobuf:"bytes,12,opt,name=started,proto3" json:"started,omitempty"`
	Finished string   `protobuf:"bytes,13,opt,name=finished,proto3" json:"finished,omitempty"`
	Areas    []uint64 `protobuf:"varint,14,rep,packed,name=areas,proto3" json:"areas,omitempty"`
	Bonds    []uint64 `protobuf:"varint,15,rep,packed,name=bonds,proto3" json:"bonds,omitempty"`
	Score    uint64   `protobuf:"varint,16,opt,name=score,proto3" json:"score,omitempty"`
	Nfts     []uint64 `protobuf:"varint,17,rep,packed,name=nfts,proto3" json:"nfts,omitempty"`
}

func (m *Game) Reset()         { *m = Game{} }
func (m *Game) String() string { return proto.CompactTextString(m) }
func (*Game) ProtoMessage()    {}
func (*Game) Descriptor() ([]byte, []int) {
	return fileDescriptor_9445e95c328fe8b9, []int{0}
}
func (m *Game) XXX_Unmarshal(b []byte) error {
	return m.Unmarshal(b)
}
func (m *Game) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	if deterministic {
		return xxx_messageInfo_Game.Marshal(b, m, deterministic)
	} else {
		b = b[:cap(b)]
		n, err := m.MarshalToSizedBuffer(b)
		if err != nil {
			return nil, err
		}
		return b[:n], nil
	}
}
func (m *Game) XXX_Merge(src proto.Message) {
	xxx_messageInfo_Game.Merge(m, src)
}
func (m *Game) XXX_Size() int {
	return m.Size()
}
func (m *Game) XXX_DiscardUnknown() {
	xxx_messageInfo_Game.DiscardUnknown(m)
}

var xxx_messageInfo_Game proto.InternalMessageInfo

func (m *Game) GetId() uint64 {
	if m != nil {
		return m.Id
	}
	return 0
}

func (m *Game) GetTier() uint64 {
	if m != nil {
		return m.Tier
	}
	return 0
}

func (m *Game) GetSizeId() uint64 {
	if m != nil {
		return m.SizeId
	}
	return 0
}

func (m *Game) GetPlayers() []string {
	if m != nil {
		return m.Players
	}
	return nil
}

func (m *Game) GetPlayer() uint64 {
	if m != nil {
		return m.Player
	}
	return 0
}

func (m *Game) GetHistory() string {
	if m != nil {
		return m.History
	}
	return ""
}

func (m *Game) GetDeadline() string {
	if m != nil {
		return m.Deadline
	}
	return ""
}

func (m *Game) GetTimeouts() []uint64 {
	if m != nil {
		return m.Timeouts
	}
	return nil
}

func (m *Game) GetPasses() uint64 {
	if m != nil {
		return m.Passes
	}
	return 0
}

func (m *Game) GetNext() uint64 {
	if m != nil {
		return m.Next
	}
	return 0
}

func (m *Game) GetPrev() uint64 {
	if m != nil {
		return m.Prev
	}
	return 0
}

func (m *Game) GetStarted() string {
	if m != nil {
		return m.Started
	}
	return ""
}

func (m *Game) GetFinished() string {
	if m != nil {
		return m.Finished
	}
	return ""
}

func (m *Game) GetAreas() []uint64 {
	if m != nil {
		return m.Areas
	}
	return nil
}

func (m *Game) GetBonds() []uint64 {
	if m != nil {
		return m.Bonds
	}
	return nil
}

func (m *Game) GetScore() uint64 {
	if m != nil {
		return m.Score
	}
	return 0
}

func (m *Game) GetNfts() []uint64 {
	if m != nil {
		return m.Nfts
	}
	return nil
}

func init() {
	proto.RegisterType((*Game)(nil), "marcus.appelros.wlqtest.wlq.Game")
}

func init() { proto.RegisterFile("wlq/game.proto", fileDescriptor_9445e95c328fe8b9) }

var fileDescriptor_9445e95c328fe8b9 = []byte{
	// 351 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0x5c, 0x92, 0xcd, 0x6e, 0xe2, 0x30,
	0x14, 0x85, 0x09, 0x09, 0x7f, 0x9e, 0x19, 0x66, 0xc6, 0x1a, 0x8d, 0xae, 0x5a, 0x29, 0x8a, 0xba,
	0x62, 0x95, 0x2c, 0xfa, 0x06, 0xdd, 0xb4, 0xdd, 0xb2, 0xec, 0xce, 0xe0, 0x0b, 0x58, 0x4a, 0xe2,
	0xe0, 0x6b, 0x0a, 0xf4, 0x29, 0xaa, 0x3e, 0x55, 0x97, 0x2c, 0xbb, 0xac, 0xe0, 0x45, 0x2a, 0xdb,
	0x81, 0x45, 0x57, 0x39, 0xdf, 0x71, 0xae, 0xce, 0xb1, 0xae, 0xd9, 0x78, 0x5b, 0xae, 0x8b, 0xa5,
	0xa8, 0x30, 0x6f, 0x8c, 0xb6, 0x9a, 0x5f, 0x57, 0xc2, 0xcc, 0x37, 0x94, 0x8b, 0xa6, 0xc1, 0xd2,
	0x68, 0xca, 0xb7, 0xe5, 0xda, 0x22, 0x59, 0xf7, 0xbd, 0x79, 0x8b, 0x59, 0x72, 0x2f, 0x2a, 0xe4,
	0x63, 0xd6, 0x55, 0x12, 0xa2, 0x2c, 0x9a, 0x24, 0xd3, 0xae, 0x92, 0x9c, 0xb3, 0xc4, 0x2a, 0x34,
	0xd0, 0xf5, 0x8e, 0xd7, 0xfc, 0x3f, 0xeb, 0x93, 0x7a, 0xc1, 0x47, 0x09, 0xb1, 0x77, 0x5b, 0xe2,
	0xc0, 0x06, 0x4d, 0x29, 0xf6, 0x68, 0x08, 0x92, 0x2c, 0x9e, 0x8c, 0xa6, 0x67, 0x74, 0x13, 0x41,
	0x42, 0x2f, 0x4c, 0x04, 0x72, 0x13, 0x2b, 0x45, 0x56, 0x9b, 0x3d, 0xf4, 0xb3, 0xc8, 0x4d, 0xb4,
	0xc8, 0xaf, 0xd8, 0x50, 0xa2, 0x90, 0xa5, 0xaa, 0x11, 0x06, 0xfe, 0xe8, 0xc2, 0xee, 0xcc, 0xaa,
	0x0a, 0xf5, 0xc6, 0x12, 0x0c, 0xb3, 0x78, 0x92, 0x4c, 0x2f, 0xec, 0x93, 0x04, 0x11, 0x12, 0x8c,
	0xda, 0x24, 0x4f, 0xee, 0x1e, 0x35, 0xee, 0x2c, 0xb0, 0x70, 0x0f, 0xa7, 0x9d, 0xd7, 0x18, 0x7c,
	0x86, 0x1f, 0xc1, 0x73, 0xda, 0x35, 0x22, 0x2b, 0x8c, 0x45, 0x09, 0x3f, 0x43, 0xa3, 0x16, 0x5d,
	0xea, 0x42, 0xd5, 0x8a, 0x56, 0x28, 0xe1, 0x57, 0x68, 0x74, 0x66, 0xfe, 0x8f, 0xf5, 0x84, 0x41,
	0x41, 0x30, 0xf6, 0x75, 0x02, 0x38, 0x77, 0xa6, 0x6b, 0x49, 0xf0, 0x3b, 0xb8, 0x1e, 0x9c, 0x4b,
	0x73, 0x6d, 0x10, 0xfe, 0xf8, 0xd8, 0x00, 0xbe, 0xdf, 0xc2, 0x12, 0xfc, 0xf5, 0xbf, 0x7a, 0x7d,
	0xf7, 0xf0, 0x7e, 0x4c, 0xa3, 0xc3, 0x31, 0x8d, 0x3e, 0x8f, 0x69, 0xf4, 0x7a, 0x4a, 0x3b, 0x87,
	0x53, 0xda, 0xf9, 0x38, 0xa5, 0x9d, 0xa7, 0x7c, 0xa9, 0x6c, 0x29, 0x66, 0xf9, 0x5c, 0x57, 0xc5,
	0xb7, 0xb5, 0x16, 0xed, 0x5a, 0x8b, 0x9d, 0x53, 0x85, 0xdd, 0x37, 0x48, 0xb3, 0xbe, 0x7f, 0x02,
	0xb7, 0x5f, 0x01, 0x00, 0x00, 0xff, 0xff, 0xab, 0x6c, 0x26, 0xda, 0x14, 0x02, 0x00, 0x00,
}

func (m *Game) Marshal() (dAtA []byte, err error) {
	size := m.Size()
	dAtA = make([]byte, size)
	n, err := m.MarshalToSizedBuffer(dAtA[:size])
	if err != nil {
		return nil, err
	}
	return dAtA[:n], nil
}

func (m *Game) MarshalTo(dAtA []byte) (int, error) {
	size := m.Size()
	return m.MarshalToSizedBuffer(dAtA[:size])
}

func (m *Game) MarshalToSizedBuffer(dAtA []byte) (int, error) {
	i := len(dAtA)
	_ = i
	var l int
	_ = l
	if len(m.Nfts) > 0 {
		dAtA2 := make([]byte, len(m.Nfts)*10)
		var j1 int
		for _, num := range m.Nfts {
			for num >= 1<<7 {
				dAtA2[j1] = uint8(uint64(num)&0x7f | 0x80)
				num >>= 7
				j1++
			}
			dAtA2[j1] = uint8(num)
			j1++
		}
		i -= j1
		copy(dAtA[i:], dAtA2[:j1])
		i = encodeVarintGame(dAtA, i, uint64(j1))
		i--
		dAtA[i] = 0x1
		i--
		dAtA[i] = 0x8a
	}
	if m.Score != 0 {
		i = encodeVarintGame(dAtA, i, uint64(m.Score))
		i--
		dAtA[i] = 0x1
		i--
		dAtA[i] = 0x80
	}
	if len(m.Bonds) > 0 {
		dAtA4 := make([]byte, len(m.Bonds)*10)
		var j3 int
		for _, num := range m.Bonds {
			for num >= 1<<7 {
				dAtA4[j3] = uint8(uint64(num)&0x7f | 0x80)
				num >>= 7
				j3++
			}
			dAtA4[j3] = uint8(num)
			j3++
		}
		i -= j3
		copy(dAtA[i:], dAtA4[:j3])
		i = encodeVarintGame(dAtA, i, uint64(j3))
		i--
		dAtA[i] = 0x7a
	}
	if len(m.Areas) > 0 {
		dAtA6 := make([]byte, len(m.Areas)*10)
		var j5 int
		for _, num := range m.Areas {
			for num >= 1<<7 {
				dAtA6[j5] = uint8(uint64(num)&0x7f | 0x80)
				num >>= 7
				j5++
			}
			dAtA6[j5] = uint8(num)
			j5++
		}
		i -= j5
		copy(dAtA[i:], dAtA6[:j5])
		i = encodeVarintGame(dAtA, i, uint64(j5))
		i--
		dAtA[i] = 0x72
	}
	if len(m.Finished) > 0 {
		i -= len(m.Finished)
		copy(dAtA[i:], m.Finished)
		i = encodeVarintGame(dAtA, i, uint64(len(m.Finished)))
		i--
		dAtA[i] = 0x6a
	}
	if len(m.Started) > 0 {
		i -= len(m.Started)
		copy(dAtA[i:], m.Started)
		i = encodeVarintGame(dAtA, i, uint64(len(m.Started)))
		i--
		dAtA[i] = 0x62
	}
	if m.Prev != 0 {
		i = encodeVarintGame(dAtA, i, uint64(m.Prev))
		i--
		dAtA[i] = 0x58
	}
	if m.Next != 0 {
		i = encodeVarintGame(dAtA, i, uint64(m.Next))
		i--
		dAtA[i] = 0x50
	}
	if m.Passes != 0 {
		i = encodeVarintGame(dAtA, i, uint64(m.Passes))
		i--
		dAtA[i] = 0x48
	}
	if len(m.Timeouts) > 0 {
		dAtA8 := make([]byte, len(m.Timeouts)*10)
		var j7 int
		for _, num := range m.Timeouts {
			for num >= 1<<7 {
				dAtA8[j7] = uint8(uint64(num)&0x7f | 0x80)
				num >>= 7
				j7++
			}
			dAtA8[j7] = uint8(num)
			j7++
		}
		i -= j7
		copy(dAtA[i:], dAtA8[:j7])
		i = encodeVarintGame(dAtA, i, uint64(j7))
		i--
		dAtA[i] = 0x42
	}
	if len(m.Deadline) > 0 {
		i -= len(m.Deadline)
		copy(dAtA[i:], m.Deadline)
		i = encodeVarintGame(dAtA, i, uint64(len(m.Deadline)))
		i--
		dAtA[i] = 0x3a
	}
	if len(m.History) > 0 {
		i -= len(m.History)
		copy(dAtA[i:], m.History)
		i = encodeVarintGame(dAtA, i, uint64(len(m.History)))
		i--
		dAtA[i] = 0x32
	}
	if m.Player != 0 {
		i = encodeVarintGame(dAtA, i, uint64(m.Player))
		i--
		dAtA[i] = 0x28
	}
	if len(m.Players) > 0 {
		for iNdEx := len(m.Players) - 1; iNdEx >= 0; iNdEx-- {
			i -= len(m.Players[iNdEx])
			copy(dAtA[i:], m.Players[iNdEx])
			i = encodeVarintGame(dAtA, i, uint64(len(m.Players[iNdEx])))
			i--
			dAtA[i] = 0x22
		}
	}
	if m.SizeId != 0 {
		i = encodeVarintGame(dAtA, i, uint64(m.SizeId))
		i--
		dAtA[i] = 0x18
	}
	if m.Tier != 0 {
		i = encodeVarintGame(dAtA, i, uint64(m.Tier))
		i--
		dAtA[i] = 0x10
	}
	if m.Id != 0 {
		i = encodeVarintGame(dAtA, i, uint64(m.Id))
		i--
		dAtA[i] = 0x8
	}
	return len(dAtA) - i, nil
}

func encodeVarintGame(dAtA []byte, offset int, v uint64) int {
	offset -= sovGame(v)
	base := offset
	for v >= 1<<7 {
		dAtA[offset] = uint8(v&0x7f | 0x80)
		v >>= 7
		offset++
	}
	dAtA[offset] = uint8(v)
	return base
}
func (m *Game) Size() (n int) {
	if m == nil {
		return 0
	}
	var l int
	_ = l
	if m.Id != 0 {
		n += 1 + sovGame(uint64(m.Id))
	}
	if m.Tier != 0 {
		n += 1 + sovGame(uint64(m.Tier))
	}
	if m.SizeId != 0 {
		n += 1 + sovGame(uint64(m.SizeId))
	}
	if len(m.Players) > 0 {
		for _, s := range m.Players {
			l = len(s)
			n += 1 + l + sovGame(uint64(l))
		}
	}
	if m.Player != 0 {
		n += 1 + sovGame(uint64(m.Player))
	}
	l = len(m.History)
	if l > 0 {
		n += 1 + l + sovGame(uint64(l))
	}
	l = len(m.Deadline)
	if l > 0 {
		n += 1 + l + sovGame(uint64(l))
	}
	if len(m.Timeouts) > 0 {
		l = 0
		for _, e := range m.Timeouts {
			l += sovGame(uint64(e))
		}
		n += 1 + sovGame(uint64(l)) + l
	}
	if m.Passes != 0 {
		n += 1 + sovGame(uint64(m.Passes))
	}
	if m.Next != 0 {
		n += 1 + sovGame(uint64(m.Next))
	}
	if m.Prev != 0 {
		n += 1 + sovGame(uint64(m.Prev))
	}
	l = len(m.Started)
	if l > 0 {
		n += 1 + l + sovGame(uint64(l))
	}
	l = len(m.Finished)
	if l > 0 {
		n += 1 + l + sovGame(uint64(l))
	}
	if len(m.Areas) > 0 {
		l = 0
		for _, e := range m.Areas {
			l += sovGame(uint64(e))
		}
		n += 1 + sovGame(uint64(l)) + l
	}
	if len(m.Bonds) > 0 {
		l = 0
		for _, e := range m.Bonds {
			l += sovGame(uint64(e))
		}
		n += 1 + sovGame(uint64(l)) + l
	}
	if m.Score != 0 {
		n += 2 + sovGame(uint64(m.Score))
	}
	if len(m.Nfts) > 0 {
		l = 0
		for _, e := range m.Nfts {
			l += sovGame(uint64(e))
		}
		n += 2 + sovGame(uint64(l)) + l
	}
	return n
}

func sovGame(x uint64) (n int) {
	return (math_bits.Len64(x|1) + 6) / 7
}
func sozGame(x uint64) (n int) {
	return sovGame(uint64((x << 1) ^ uint64((int64(x) >> 63))))
}
func (m *Game) Unmarshal(dAtA []byte) error {
	l := len(dAtA)
	iNdEx := 0
	for iNdEx < l {
		preIndex := iNdEx
		var wire uint64
		for shift := uint(0); ; shift += 7 {
			if shift >= 64 {
				return ErrIntOverflowGame
			}
			if iNdEx >= l {
				return io.ErrUnexpectedEOF
			}
			b := dAtA[iNdEx]
			iNdEx++
			wire |= uint64(b&0x7F) << shift
			if b < 0x80 {
				break
			}
		}
		fieldNum := int32(wire >> 3)
		wireType := int(wire & 0x7)
		if wireType == 4 {
			return fmt.Errorf("proto: Game: wiretype end group for non-group")
		}
		if fieldNum <= 0 {
			return fmt.Errorf("proto: Game: illegal tag %d (wire type %d)", fieldNum, wire)
		}
		switch fieldNum {
		case 1:
			if wireType != 0 {
				return fmt.Errorf("proto: wrong wireType = %d for field Id", wireType)
			}
			m.Id = 0
			for shift := uint(0); ; shift += 7 {
				if shift >= 64 {
					return ErrIntOverflowGame
				}
				if iNdEx >= l {
					return io.ErrUnexpectedEOF
				}
				b := dAtA[iNdEx]
				iNdEx++
				m.Id |= uint64(b&0x7F) << shift
				if b < 0x80 {
					break
				}
			}
		case 2:
			if wireType != 0 {
				return fmt.Errorf("proto: wrong wireType = %d for field Tier", wireType)
			}
			m.Tier = 0
			for shift := uint(0); ; shift += 7 {
				if shift >= 64 {
					return ErrIntOverflowGame
				}
				if iNdEx >= l {
					return io.ErrUnexpectedEOF
				}
				b := dAtA[iNdEx]
				iNdEx++
				m.Tier |= uint64(b&0x7F) << shift
				if b < 0x80 {
					break
				}
			}
		case 3:
			if wireType != 0 {
				return fmt.Errorf("proto: wrong wireType = %d for field SizeId", wireType)
			}
			m.SizeId = 0
			for shift := uint(0); ; shift += 7 {
				if shift >= 64 {
					return ErrIntOverflowGame
				}
				if iNdEx >= l {
					return io.ErrUnexpectedEOF
				}
				b := dAtA[iNdEx]
				iNdEx++
				m.SizeId |= uint64(b&0x7F) << shift
				if b < 0x80 {
					break
				}
			}
		case 4:
			if wireType != 2 {
				return fmt.Errorf("proto: wrong wireType = %d for field Players", wireType)
			}
			var stringLen uint64
			for shift := uint(0); ; shift += 7 {
				if shift >= 64 {
					return ErrIntOverflowGame
				}
				if iNdEx >= l {
					return io.ErrUnexpectedEOF
				}
				b := dAtA[iNdEx]
				iNdEx++
				stringLen |= uint64(b&0x7F) << shift
				if b < 0x80 {
					break
				}
			}
			intStringLen := int(stringLen)
			if intStringLen < 0 {
				return ErrInvalidLengthGame
			}
			postIndex := iNdEx + intStringLen
			if postIndex < 0 {
				return ErrInvalidLengthGame
			}
			if postIndex > l {
				return io.ErrUnexpectedEOF
			}
			m.Players = append(m.Players, string(dAtA[iNdEx:postIndex]))
			iNdEx = postIndex
		case 5:
			if wireType != 0 {
				return fmt.Errorf("proto: wrong wireType = %d for field Player", wireType)
			}
			m.Player = 0
			for shift := uint(0); ; shift += 7 {
				if shift >= 64 {
					return ErrIntOverflowGame
				}
				if iNdEx >= l {
					return io.ErrUnexpectedEOF
				}
				b := dAtA[iNdEx]
				iNdEx++
				m.Player |= uint64(b&0x7F) << shift
				if b < 0x80 {
					break
				}
			}
		case 6:
			if wireType != 2 {
				return fmt.Errorf("proto: wrong wireType = %d for field History", wireType)
			}
			var stringLen uint64
			for shift := uint(0); ; shift += 7 {
				if shift >= 64 {
					return ErrIntOverflowGame
				}
				if iNdEx >= l {
					return io.ErrUnexpectedEOF
				}
				b := dAtA[iNdEx]
				iNdEx++
				stringLen |= uint64(b&0x7F) << shift
				if b < 0x80 {
					break
				}
			}
			intStringLen := int(stringLen)
			if intStringLen < 0 {
				return ErrInvalidLengthGame
			}
			postIndex := iNdEx + intStringLen
			if postIndex < 0 {
				return ErrInvalidLengthGame
			}
			if postIndex > l {
				return io.ErrUnexpectedEOF
			}
			m.History = string(dAtA[iNdEx:postIndex])
			iNdEx = postIndex
		case 7:
			if wireType != 2 {
				return fmt.Errorf("proto: wrong wireType = %d for field Deadline", wireType)
			}
			var stringLen uint64
			for shift := uint(0); ; shift += 7 {
				if shift >= 64 {
					return ErrIntOverflowGame
				}
				if iNdEx >= l {
					return io.ErrUnexpectedEOF
				}
				b := dAtA[iNdEx]
				iNdEx++
				stringLen |= uint64(b&0x7F) << shift
				if b < 0x80 {
					break
				}
			}
			intStringLen := int(stringLen)
			if intStringLen < 0 {
				return ErrInvalidLengthGame
			}
			postIndex := iNdEx + intStringLen
			if postIndex < 0 {
				return ErrInvalidLengthGame
			}
			if postIndex > l {
				return io.ErrUnexpectedEOF
			}
			m.Deadline = string(dAtA[iNdEx:postIndex])
			iNdEx = postIndex
		case 8:
			if wireType == 0 {
				var v uint64
				for shift := uint(0); ; shift += 7 {
					if shift >= 64 {
						return ErrIntOverflowGame
					}
					if iNdEx >= l {
						return io.ErrUnexpectedEOF
					}
					b := dAtA[iNdEx]
					iNdEx++
					v |= uint64(b&0x7F) << shift
					if b < 0x80 {
						break
					}
				}
				m.Timeouts = append(m.Timeouts, v)
			} else if wireType == 2 {
				var packedLen int
				for shift := uint(0); ; shift += 7 {
					if shift >= 64 {
						return ErrIntOverflowGame
					}
					if iNdEx >= l {
						return io.ErrUnexpectedEOF
					}
					b := dAtA[iNdEx]
					iNdEx++
					packedLen |= int(b&0x7F) << shift
					if b < 0x80 {
						break
					}
				}
				if packedLen < 0 {
					return ErrInvalidLengthGame
				}
				postIndex := iNdEx + packedLen
				if postIndex < 0 {
					return ErrInvalidLengthGame
				}
				if postIndex > l {
					return io.ErrUnexpectedEOF
				}
				var elementCount int
				var count int
				for _, integer := range dAtA[iNdEx:postIndex] {
					if integer < 128 {
						count++
					}
				}
				elementCount = count
				if elementCount != 0 && len(m.Timeouts) == 0 {
					m.Timeouts = make([]uint64, 0, elementCount)
				}
				for iNdEx < postIndex {
					var v uint64
					for shift := uint(0); ; shift += 7 {
						if shift >= 64 {
							return ErrIntOverflowGame
						}
						if iNdEx >= l {
							return io.ErrUnexpectedEOF
						}
						b := dAtA[iNdEx]
						iNdEx++
						v |= uint64(b&0x7F) << shift
						if b < 0x80 {
							break
						}
					}
					m.Timeouts = append(m.Timeouts, v)
				}
			} else {
				return fmt.Errorf("proto: wrong wireType = %d for field Timeouts", wireType)
			}
		case 9:
			if wireType != 0 {
				return fmt.Errorf("proto: wrong wireType = %d for field Passes", wireType)
			}
			m.Passes = 0
			for shift := uint(0); ; shift += 7 {
				if shift >= 64 {
					return ErrIntOverflowGame
				}
				if iNdEx >= l {
					return io.ErrUnexpectedEOF
				}
				b := dAtA[iNdEx]
				iNdEx++
				m.Passes |= uint64(b&0x7F) << shift
				if b < 0x80 {
					break
				}
			}
		case 10:
			if wireType != 0 {
				return fmt.Errorf("proto: wrong wireType = %d for field Next", wireType)
			}
			m.Next = 0
			for shift := uint(0); ; shift += 7 {
				if shift >= 64 {
					return ErrIntOverflowGame
				}
				if iNdEx >= l {
					return io.ErrUnexpectedEOF
				}
				b := dAtA[iNdEx]
				iNdEx++
				m.Next |= uint64(b&0x7F) << shift
				if b < 0x80 {
					break
				}
			}
		case 11:
			if wireType != 0 {
				return fmt.Errorf("proto: wrong wireType = %d for field Prev", wireType)
			}
			m.Prev = 0
			for shift := uint(0); ; shift += 7 {
				if shift >= 64 {
					return ErrIntOverflowGame
				}
				if iNdEx >= l {
					return io.ErrUnexpectedEOF
				}
				b := dAtA[iNdEx]
				iNdEx++
				m.Prev |= uint64(b&0x7F) << shift
				if b < 0x80 {
					break
				}
			}
		case 12:
			if wireType != 2 {
				return fmt.Errorf("proto: wrong wireType = %d for field Started", wireType)
			}
			var stringLen uint64
			for shift := uint(0); ; shift += 7 {
				if shift >= 64 {
					return ErrIntOverflowGame
				}
				if iNdEx >= l {
					return io.ErrUnexpectedEOF
				}
				b := dAtA[iNdEx]
				iNdEx++
				stringLen |= uint64(b&0x7F) << shift
				if b < 0x80 {
					break
				}
			}
			intStringLen := int(stringLen)
			if intStringLen < 0 {
				return ErrInvalidLengthGame
			}
			postIndex := iNdEx + intStringLen
			if postIndex < 0 {
				return ErrInvalidLengthGame
			}
			if postIndex > l {
				return io.ErrUnexpectedEOF
			}
			m.Started = string(dAtA[iNdEx:postIndex])
			iNdEx = postIndex
		case 13:
			if wireType != 2 {
				return fmt.Errorf("proto: wrong wireType = %d for field Finished", wireType)
			}
			var stringLen uint64
			for shift := uint(0); ; shift += 7 {
				if shift >= 64 {
					return ErrIntOverflowGame
				}
				if iNdEx >= l {
					return io.ErrUnexpectedEOF
				}
				b := dAtA[iNdEx]
				iNdEx++
				stringLen |= uint64(b&0x7F) << shift
				if b < 0x80 {
					break
				}
			}
			intStringLen := int(stringLen)
			if intStringLen < 0 {
				return ErrInvalidLengthGame
			}
			postIndex := iNdEx + intStringLen
			if postIndex < 0 {
				return ErrInvalidLengthGame
			}
			if postIndex > l {
				return io.ErrUnexpectedEOF
			}
			m.Finished = string(dAtA[iNdEx:postIndex])
			iNdEx = postIndex
		case 14:
			if wireType == 0 {
				var v uint64
				for shift := uint(0); ; shift += 7 {
					if shift >= 64 {
						return ErrIntOverflowGame
					}
					if iNdEx >= l {
						return io.ErrUnexpectedEOF
					}
					b := dAtA[iNdEx]
					iNdEx++
					v |= uint64(b&0x7F) << shift
					if b < 0x80 {
						break
					}
				}
				m.Areas = append(m.Areas, v)
			} else if wireType == 2 {
				var packedLen int
				for shift := uint(0); ; shift += 7 {
					if shift >= 64 {
						return ErrIntOverflowGame
					}
					if iNdEx >= l {
						return io.ErrUnexpectedEOF
					}
					b := dAtA[iNdEx]
					iNdEx++
					packedLen |= int(b&0x7F) << shift
					if b < 0x80 {
						break
					}
				}
				if packedLen < 0 {
					return ErrInvalidLengthGame
				}
				postIndex := iNdEx + packedLen
				if postIndex < 0 {
					return ErrInvalidLengthGame
				}
				if postIndex > l {
					return io.ErrUnexpectedEOF
				}
				var elementCount int
				var count int
				for _, integer := range dAtA[iNdEx:postIndex] {
					if integer < 128 {
						count++
					}
				}
				elementCount = count
				if elementCount != 0 && len(m.Areas) == 0 {
					m.Areas = make([]uint64, 0, elementCount)
				}
				for iNdEx < postIndex {
					var v uint64
					for shift := uint(0); ; shift += 7 {
						if shift >= 64 {
							return ErrIntOverflowGame
						}
						if iNdEx >= l {
							return io.ErrUnexpectedEOF
						}
						b := dAtA[iNdEx]
						iNdEx++
						v |= uint64(b&0x7F) << shift
						if b < 0x80 {
							break
						}
					}
					m.Areas = append(m.Areas, v)
				}
			} else {
				return fmt.Errorf("proto: wrong wireType = %d for field Areas", wireType)
			}
		case 15:
			if wireType == 0 {
				var v uint64
				for shift := uint(0); ; shift += 7 {
					if shift >= 64 {
						return ErrIntOverflowGame
					}
					if iNdEx >= l {
						return io.ErrUnexpectedEOF
					}
					b := dAtA[iNdEx]
					iNdEx++
					v |= uint64(b&0x7F) << shift
					if b < 0x80 {
						break
					}
				}
				m.Bonds = append(m.Bonds, v)
			} else if wireType == 2 {
				var packedLen int
				for shift := uint(0); ; shift += 7 {
					if shift >= 64 {
						return ErrIntOverflowGame
					}
					if iNdEx >= l {
						return io.ErrUnexpectedEOF
					}
					b := dAtA[iNdEx]
					iNdEx++
					packedLen |= int(b&0x7F) << shift
					if b < 0x80 {
						break
					}
				}
				if packedLen < 0 {
					return ErrInvalidLengthGame
				}
				postIndex := iNdEx + packedLen
				if postIndex < 0 {
					return ErrInvalidLengthGame
				}
				if postIndex > l {
					return io.ErrUnexpectedEOF
				}
				var elementCount int
				var count int
				for _, integer := range dAtA[iNdEx:postIndex] {
					if integer < 128 {
						count++
					}
				}
				elementCount = count
				if elementCount != 0 && len(m.Bonds) == 0 {
					m.Bonds = make([]uint64, 0, elementCount)
				}
				for iNdEx < postIndex {
					var v uint64
					for shift := uint(0); ; shift += 7 {
						if shift >= 64 {
							return ErrIntOverflowGame
						}
						if iNdEx >= l {
							return io.ErrUnexpectedEOF
						}
						b := dAtA[iNdEx]
						iNdEx++
						v |= uint64(b&0x7F) << shift
						if b < 0x80 {
							break
						}
					}
					m.Bonds = append(m.Bonds, v)
				}
			} else {
				return fmt.Errorf("proto: wrong wireType = %d for field Bonds", wireType)
			}
		case 16:
			if wireType != 0 {
				return fmt.Errorf("proto: wrong wireType = %d for field Score", wireType)
			}
			m.Score = 0
			for shift := uint(0); ; shift += 7 {
				if shift >= 64 {
					return ErrIntOverflowGame
				}
				if iNdEx >= l {
					return io.ErrUnexpectedEOF
				}
				b := dAtA[iNdEx]
				iNdEx++
				m.Score |= uint64(b&0x7F) << shift
				if b < 0x80 {
					break
				}
			}
		case 17:
			if wireType == 0 {
				var v uint64
				for shift := uint(0); ; shift += 7 {
					if shift >= 64 {
						return ErrIntOverflowGame
					}
					if iNdEx >= l {
						return io.ErrUnexpectedEOF
					}
					b := dAtA[iNdEx]
					iNdEx++
					v |= uint64(b&0x7F) << shift
					if b < 0x80 {
						break
					}
				}
				m.Nfts = append(m.Nfts, v)
			} else if wireType == 2 {
				var packedLen int
				for shift := uint(0); ; shift += 7 {
					if shift >= 64 {
						return ErrIntOverflowGame
					}
					if iNdEx >= l {
						return io.ErrUnexpectedEOF
					}
					b := dAtA[iNdEx]
					iNdEx++
					packedLen |= int(b&0x7F) << shift
					if b < 0x80 {
						break
					}
				}
				if packedLen < 0 {
					return ErrInvalidLengthGame
				}
				postIndex := iNdEx + packedLen
				if postIndex < 0 {
					return ErrInvalidLengthGame
				}
				if postIndex > l {
					return io.ErrUnexpectedEOF
				}
				var elementCount int
				var count int
				for _, integer := range dAtA[iNdEx:postIndex] {
					if integer < 128 {
						count++
					}
				}
				elementCount = count
				if elementCount != 0 && len(m.Nfts) == 0 {
					m.Nfts = make([]uint64, 0, elementCount)
				}
				for iNdEx < postIndex {
					var v uint64
					for shift := uint(0); ; shift += 7 {
						if shift >= 64 {
							return ErrIntOverflowGame
						}
						if iNdEx >= l {
							return io.ErrUnexpectedEOF
						}
						b := dAtA[iNdEx]
						iNdEx++
						v |= uint64(b&0x7F) << shift
						if b < 0x80 {
							break
						}
					}
					m.Nfts = append(m.Nfts, v)
				}
			} else {
				return fmt.Errorf("proto: wrong wireType = %d for field Nfts", wireType)
			}
		default:
			iNdEx = preIndex
			skippy, err := skipGame(dAtA[iNdEx:])
			if err != nil {
				return err
			}
			if (skippy < 0) || (iNdEx+skippy) < 0 {
				return ErrInvalidLengthGame
			}
			if (iNdEx + skippy) > l {
				return io.ErrUnexpectedEOF
			}
			iNdEx += skippy
		}
	}

	if iNdEx > l {
		return io.ErrUnexpectedEOF
	}
	return nil
}
func skipGame(dAtA []byte) (n int, err error) {
	l := len(dAtA)
	iNdEx := 0
	depth := 0
	for iNdEx < l {
		var wire uint64
		for shift := uint(0); ; shift += 7 {
			if shift >= 64 {
				return 0, ErrIntOverflowGame
			}
			if iNdEx >= l {
				return 0, io.ErrUnexpectedEOF
			}
			b := dAtA[iNdEx]
			iNdEx++
			wire |= (uint64(b) & 0x7F) << shift
			if b < 0x80 {
				break
			}
		}
		wireType := int(wire & 0x7)
		switch wireType {
		case 0:
			for shift := uint(0); ; shift += 7 {
				if shift >= 64 {
					return 0, ErrIntOverflowGame
				}
				if iNdEx >= l {
					return 0, io.ErrUnexpectedEOF
				}
				iNdEx++
				if dAtA[iNdEx-1] < 0x80 {
					break
				}
			}
		case 1:
			iNdEx += 8
		case 2:
			var length int
			for shift := uint(0); ; shift += 7 {
				if shift >= 64 {
					return 0, ErrIntOverflowGame
				}
				if iNdEx >= l {
					return 0, io.ErrUnexpectedEOF
				}
				b := dAtA[iNdEx]
				iNdEx++
				length |= (int(b) & 0x7F) << shift
				if b < 0x80 {
					break
				}
			}
			if length < 0 {
				return 0, ErrInvalidLengthGame
			}
			iNdEx += length
		case 3:
			depth++
		case 4:
			if depth == 0 {
				return 0, ErrUnexpectedEndOfGroupGame
			}
			depth--
		case 5:
			iNdEx += 4
		default:
			return 0, fmt.Errorf("proto: illegal wireType %d", wireType)
		}
		if iNdEx < 0 {
			return 0, ErrInvalidLengthGame
		}
		if depth == 0 {
			return iNdEx, nil
		}
	}
	return 0, io.ErrUnexpectedEOF
}

var (
	ErrInvalidLengthGame        = fmt.Errorf("proto: negative length found during unmarshaling")
	ErrIntOverflowGame          = fmt.Errorf("proto: integer overflow")
	ErrUnexpectedEndOfGroupGame = fmt.Errorf("proto: unexpected end of group")
)
